# std::filesystem::file_status::operator=

From cppreference.com
< cpp‎ | filesystem‎ | file status

file_status& operator=( const file_status& other ) noexcept = default; | (1) | (since C++17)
file_status& operator=( file_status&& other ) noexcept = default; | (2) | (since C++17)

Copy- or move-assigns another file status object.

### Parameters

other | - | another file_status object to assign

### Return value

*this

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status/operator%3D&oldid=105030"